Subject: [TR] No names, no pack drill.

From: John Macartney <[email-masked]>
Date: Wed, 26 Mar 2025 20:35:57 +0000

I was cleaning out my spam and junk mail folder today and had a quiet chuckle to myself.
There’s a bloke in this world whose company makes electric cars and it seems that in the UK he’s not exactly flavour of the month at the moment. That to one side, the email informed me of a number of ‘demonstrations’ scheduled to take place this coming weekend at showrooms selling the electric cars aforesaid. I quickly scanned the various locations and laughed out loud when I saw the event planned for West London.

 It’s going to be at 153 Dukes Road, Park Royal, London W3.

So what’s in an address?

It just happens that 153 Dukes Road, Park Royal, London W3 is the exact same address of Standard-Triumph’s London Service Division which I visited on many occasions in my mis-spent ‘swinging sixties’ youth in the days when interesting cars were made. 

The old place which had a special corner in my heart is now demolished with new buildings in its place.

I don’t plan or wish to attend the forthcoming event but it would be fun to turn up in my much-loved and greatly missed former TR5 with its chronic pressure relief valve warble and ask whoever I met if Jeff Hancock (the Lucas injection guru) was available to sort out my dilemma?

Bless him, Jeff’s been dead these many years, as has my gorgeous Valencia Blue bolide, but it would be nice to be there in spirit with car and Jeff - and without a protest placard. I could just sit there revving the engine and send clouds of over-rich carbon monoxide into the gathered crowd. That *would* be fun.

Jonmac
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]